package DataOfWildCard.DataOfWildCardQ;

import DataOfWildCard.DataOfWildCardQ.DataOfRank0.DataOfRank0;
import DataOfWildCard.DataOfWildCardQ.DataOfRank1.DataOfRank1;
import DataOfWildCard.DataOfWildCardQ.DataOfRank10.DataOfRank10;
import DataOfWildCard.DataOfWildCardQ.DataOfRank2.DataOfRank2;
import DataOfWildCard.DataOfWildCardQ.DataOfRank3.DataOfRank3;
import DataOfWildCard.DataOfWildCardQ.DataOfRank4.DataOfRank4;
import DataOfWildCard.DataOfWildCardQ.DataOfRank5.DataOfRank5;
import DataOfWildCard.DataOfWildCardQ.DataOfRank6.DataOfRank6;
import DataOfWildCard.DataOfWildCardQ.DataOfRank7.DataOfRank7;
import DataOfWildCard.DataOfWildCardQ.DataOfRank8.DataOfRank8;
import DataOfWildCard.DataOfWildCardQ.DataOfRank9.DataOfRank9;

/**
 * author:gongyu
 * description:only one
 */
public class DataOfWildCardQ {
    public long[][][][][][] DoWC1 = new long[11][][][][][];
    DataOfRank0 DoR0 = new DataOfRank0();
    DataOfRank1 DoR1 = new DataOfRank1();
    DataOfRank2 DoR2 = new DataOfRank2();
    DataOfRank3 DoR3 = new DataOfRank3();
    DataOfRank4 DoR4 = new DataOfRank4();
    DataOfRank5 DoR5 = new DataOfRank5();
    DataOfRank6 DoR6 = new DataOfRank6();
    DataOfRank7 DoR7 = new DataOfRank7();
    DataOfRank8 DoR8 = new DataOfRank8();
    DataOfRank9 DoR9 = new DataOfRank9();
    DataOfRank10 DoR10 = new DataOfRank10();

    public DataOfWildCardQ(){
        DoWC1[0] = DoR0.DoR0;
        DoWC1[1] = DoR1.DoR1;
        DoWC1[2] = DoR2.DoR2;
        DoWC1[3] = DoR3.DoR3;
        DoWC1[4] = DoR4.DoR4;
        DoWC1[5] = DoR5.DoR5;
        DoWC1[6] = DoR6.DoR6;
        DoWC1[7] = DoR7.DoR7;
        DoWC1[8] = DoR8.DoR8;
        DoWC1[9] = DoR9.DoR9;
        DoWC1[10] = DoR10.DoR10;
    }
}
